post
https://api.shasta.trongrid.io/wallet/deploycontract
Deploys a contract. Returns TransactionExtention, which contains an unsigned transaction.
Recipes
🪙
Deploy a TRC-20 Token with TronWeb
Open Recipe
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Returns
Returned Object: Transaction (Unsigned).
General Fields: Refer to the Transaction section.
CreateSmartContract Specific Fields: The raw_data.contract[0].parameter.value within the transaction contains parameters for the contract invocation:
| Field | Type | Description |
|---|---|---|
| owner_address | string | Transaction initiator address. |
| new_contract | SmartContract | Data of the deployed smart contract. See GetContract for fields. |
| call_token_value | int64 | The amount of TRC-10 transferred into the contract |
| token_id | int64 | TRC-10 token id |